<?php

namespace Drupal\Tests\translators_content\Functional;

use Drupal\translators_content\Access\TranslatorsContentManageAccess;
use Drupal\Tests\BrowserTestBase;

/**
 * Class TranslatorsContentAccessClassTest.
 *
 * @package Drupal\Tests\translators_content\Functional
 *
 * @group translators_content
 */
class TranslatorsContentAccessClassTest extends BrowserTestBase {
  use TranslatorsContentTestsTrait;

  /**
   * {@inheritdoc}
   */
  public $profile = 'standard';
  /**
   * {@inheritdoc}
   */
  public static $modules = ['translators_content'];
  /**
   * Access rules manager.
   *
   * @var \Drupal\translators_content\Access\TranslatorsContentManageAccess
   */
  protected $accessManager;

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    parent::setUp();
    $this->accessManager = $this->container
      ->get('content_translation.manage_access');
  }

  /**
   * Test access rules manager existence.
   */
  public function testAccessManagerExistence() {
    $this->assertTrue($this->container->has('content_translation.manage_access'));
    $this->assertInstanceOf(TranslatorsContentManageAccess::class, $this->accessManager);
    $this->assertTrue(method_exists($this->accessManager, 'getEntityCreateAccess'));
    $this->assertTrue(method_exists($this->accessManager, 'getEntityAccess'));
  }

}
